[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#841500: gcc-6: Unable to compile upstream kernel with previous .config



On 2016-10-27 06:25:00 +0000, Niels Thykier wrote:
> I believe it is possible to compile the kernel with gcc-5.  I hope you
> will consider that an acceptable workaround for you in the interim while
> we solve #841419.

It's quite possible to compile the kernel with a newer gcc as well, you
just need to add the necessary CFLAGs. In my build script I've adjusted
things to:
time make -j8 KCPPFLAGS="-fno-pic -Wno-pointer-sign"
and the kernel compiles and runs normally again.


Reply to: